PHP Manual
Prev |  | Next

# chroot

(PHP 4 >= 4.0.5, PHP 5)

chroot -- Change the root directory

## Description

bool chroot ( string directory )

Changes the root directory of the current process to `directory`.

This function is only available if your system supports it and you're using the CLI, CGI or Embed SAPI. Also, this function requires root privileges.

## Parameters

`directory`

  The new directory

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Notes

> Note: This function is not implemented on Windows platforms.

Prev | Home | Next
chdir | Up | dir